<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.metabolic.efm.memory.IterableMemory
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.metabolic.efm.memory.IterableMemory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/memory/class-use/IterableMemory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IterableMemory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.metabolic.efm.memory.IterableMemory</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.borndie"><B>ch.javasoft.metabolic.efm.borndie</B></A></TD>
<TD>The <tt>efm.borndie</tt> package and subpackages contain classes related to the
<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieDoubleDescriptionImpl.html" title="class in ch.javasoft.metabolic.efm.borndie"><CODE>born/die</CODE></A>
implementation of the <i>double description method</i>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.borndie.debug"><B>ch.javasoft.metabolic.efm.borndie.debug</B></A></TD>
<TD>The <tt>efm.borndie.debug</tt> package contains debugging helper classes.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.borndie.matrix"><B>ch.javasoft.metabolic.efm.borndie.matrix</B></A></TD>
<TD>The <tt>efm.borndie.matrix</tt> package contains classes and interfaces related
to the born/die matrix and to cell stages.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.borndie.memory"><B>ch.javasoft.metabolic.efm.borndie.memory</B></A></TD>
<TD>The <tt>efm.borndie.memory</tt> package contains extensions of classes from the 
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/package-summary.html"><CODE>ch.javasoft.metabolic.efm.memory</CODE></A> package used by the born/die algorithm.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.dist.impl"><B>ch.javasoft.metabolic.efm.dist.impl</B></A></TD>
<TD>The <tt>dist.impl</tt> package and subpackages contain classes implementing 
strategies for <i>distributed computation</i> of elementary modes, that is, 
for the computation on multiple hosts like on a cluster computer.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.impl"><B>ch.javasoft.metabolic.efm.impl</B></A></TD>
<TD>The <tt>impl</tt> package and subpackages contain the actual implementation of
the algorithm to compute elementary modes (EFMs).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.memory"><B>ch.javasoft.metabolic.efm.memory</B></A></TD>
<TD>The <tt>memory</tt> package and subpackages contain methods for the abstraction
of storage for intermediary modes (or 
<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>columns</CODE></A>); the 
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/incore/package-summary.html"><CODE>incore</CODE></A> subpackage implements
interfaces provided in this package to store modes <i>in core</i> memory, 
classes in the <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/outcore/package-summary.html"><CODE>outcore</CODE></A> 
subpackage support storage on disk.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.memory.incore"><B>ch.javasoft.metabolic.efm.memory.incore</B></A></TD>
<TD>The <tt>memory.incore</tt> package contains classes supporting efm computation 
<i>in-core</i>, that is keeping all intermediary modes in memory.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.memory.outcore"><B>ch.javasoft.metabolic.efm.memory.outcore</B></A></TD>
<TD>The <tt>memory.outcore</tt> package contains classes supporting efm computation 
<i>out-of-core</i> memory, meaning that intermediary modes are stored on disk.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.util"><B>ch.javasoft.metabolic.efm.util</B></A></TD>
<TD>The <tt>util</tt> package contains utility and helper classes for different
aspects and parts of the <A HREF="../../../../../../ch/javasoft/metabolic/efm/package-summary.html"><CODE>efm</CODE></A> packages, that 
is, for the computation of elementary modes (EFMs) for 
<A HREF="../../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolic</CODE></A> networks.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.borndie"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/package-summary.html">ch.javasoft.metabolic.efm.borndie</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/package-summary.html">ch.javasoft.metabolic.efm.borndie</A> that return <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="type parameter in BornDieController">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BornDieController.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html#awaitTermination()">awaitTermination</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Blocks the calling thread until the born/die algorithm completes and
 returns the memory with the final modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>BornDieDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieDoubleDescriptionImpl.html#iterate(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.AppendableMemory)">iterate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/package-summary.html">ch.javasoft.metabolic.efm.borndie</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>BornDieController.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html#start(ch.javasoft.metabolic.efm.memory.IterableMemory)">start</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="type parameter in BornDieController">Col</A>&gt;&nbsp;initialColumns)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Start the born/die algorithm.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.debug"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/debug/package-summary.html">ch.javasoft.metabolic.efm.borndie.debug</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/debug/package-summary.html">ch.javasoft.metabolic.efm.borndie.debug</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>SwingDebugger.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/debug/SwingDebugger.html#notifyTerminate(ch.javasoft.metabolic.efm.borndie.job.JobManager, ch.javasoft.metabolic.efm.memory.IterableMemory)">notifyTerminate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobManager</A>&nbsp;jobManager,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&nbsp;result)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>NullDebugger.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/debug/NullDebugger.html#notifyTerminate(ch.javasoft.metabolic.efm.borndie.job.JobManager, ch.javasoft.metabolic.efm.memory.IterableMemory)">notifyTerminate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobManager</A>&nbsp;jobManager,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&nbsp;result)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Debugger.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/debug/Debugger.html#notifyTerminate(ch.javasoft.metabolic.efm.borndie.job.JobManager, ch.javasoft.metabolic.efm.memory.IterableMemory)">notifyTerminate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobManager</A>&nbsp;jobManager,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&nbsp;result)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.matrix"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/package-summary.html">ch.javasoft.metabolic.efm.borndie.matrix</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/package-summary.html">ch.javasoft.metabolic.efm.borndie.matrix</A> that return <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/ConcurrentBornDieMatrix.html" title="type parameter in ConcurrentBornDieMatrix">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ConcurrentBornDieMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/ConcurrentBornDieMatrix.html#getFinal(int)">getFinal</A></B>(int&nbsp;bornCol)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/BornDieMatrix.html" title="type parameter in BornDieMatrix">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BornDieMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/BornDieMatrix.html#getFinal(int)">getFinal</A></B>(int&nbsp;bornCol)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the memory at the specified cell (always the last row) containing
 the final modes.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.memory"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/package-summary.html">ch.javasoft.metabolic.efm.borndie.memory</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/package-summary.html">ch.javasoft.metabolic.efm.borndie.memory</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/ColumnDemuxAppendableMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory">ColumnDemuxAppendableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ColumnDemuxAppendableMemory</code> is attached to a column in the 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/matrix/BornDieMatrix.html" title="interface in ch.javasoft.metabolic.efm.borndie.matrix"><CODE>BornDieMatrix</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/memory/FilteredSortablePosMemory.html" title="class in ch.javasoft.metabolic.efm.borndie.memory">FilteredSortablePosMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>FilteredSortablePosMemory</code> wraps around an 
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory"><CODE>IterableMemory</CODE></A> instance and implements the sort and swap functions 
 with an internal index mapping array.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.dist.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/dist/impl/package-summary.html">ch.javasoft.metabolic.efm.dist.impl</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/dist/impl/ClientServerMemory.html" title="class in ch.javasoft.metabolic.efm.dist.impl">ClientServerMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Client server memory fetches the requested columns from the server.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/package-summary.html">ch.javasoft.metabolic.efm.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/package-summary.html">ch.javasoft.metabolic.efm.impl</A> that return <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>AbstractDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/AbstractDoubleDescriptionImpl.html#filterModes(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory)">filterModes</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Filters the modes in <code>memory</code> and returns the filtered ones.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>RecoverableSequentialDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/RecoverableSequentialDoubleDescriptionImpl.html#filterModes(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory)">filterModes</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>AbstractDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/AbstractDoubleDescriptionImpl.html#iterate(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.AppendableMemory)">iterate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>RecoverableSequentialDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/RecoverableSequentialDoubleDescriptionImpl.html#iterate(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.AppendableMemory)">iterate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>SequentialDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/SequentialDoubleDescriptionImpl.html#iterate(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.AppendableMemory)">iterate</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
               <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/package-summary.html">ch.javasoft.metabolic.efm.impl</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>AbstractDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/AbstractDoubleDescriptionImpl.html#filterModes(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory)">filterModes</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Filters the modes in <code>memory</code> and returns the filtered ones.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
<A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>RecoverableSequentialDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/RecoverableSequentialDoubleDescriptionImpl.html#filterModes(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory)">filterModes</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;memory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>AbstractDoubleDescriptionImpl.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/impl/AbstractDoubleDescriptionImpl.html#postprocess(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory, ch.javasoft.metabolic.efm.output.EfmOutputCallback)">postprocess</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;efmModel,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;memory,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.memory"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/package-summary.html">ch.javasoft.metabolic.efm.memory</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/package-summary.html">ch.javasoft.metabolic.efm.memory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>AppendableMemory</code> adds methods to append modes to the memory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IndexableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IndexableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;From an <code>IndexableMemory</code>, columns can be read by index, like in
 a list or array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/ReadWriteMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">ReadWriteMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadWriteMemory</code> unifies readable, sortable and appendable 
 memory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/SortableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">SortableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A <code>SortableMemory</code> is a memory with limited write operations.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/package-summary.html">ch.javasoft.metabolic.efm.memory</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/ComposedIterableMemory.html" title="class in ch.javasoft.metabolic.efm.memory">ComposedIterableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A composed memory is a memory putting together a composition of memories.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/MappedSortableMemory.html" title="class in ch.javasoft.metabolic.efm.memory">MappedSortableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>MappedSortableMemory</code> wraps around an <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory"><CODE>IterableMemory</CODE></A> 
 instance and implements the sort and swap functions with an internal index 
 mapping array.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructor parameters in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/package-summary.html">ch.javasoft.metabolic.efm.memory</A> with type arguments of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/ComposedIterableMemory.html#ComposedIterableMemory(java.lang.Iterable)">ComposedIterableMemory</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;? extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/ComposedIterableMemory.html" title="type parameter in ComposedIterableMemory">Col</A>&gt;&gt;&nbsp;components)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.memory.incore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/incore/package-summary.html">ch.javasoft.metabolic.efm.memory.incore</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/incore/package-summary.html">ch.javasoft.metabolic.efm.memory.incore</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/incore/InCoreAppendableMemory.html" title="class in ch.javasoft.metabolic.efm.memory.incore">InCoreAppendableMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>InCoreAppendableMemory</code> is a thread-safe memory for 
 appending only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/incore/InCoreMemory.html" title="class in ch.javasoft.metabolic.efm.memory.incore">InCoreMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>InCoreMemory</code> stores columns in an array list.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.memory.outcore"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/outcore/package-summary.html">ch.javasoft.metabolic.efm.memory.outcore</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/outcore/package-summary.html">ch.javasoft.metabolic.efm.memory.outcore</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/outcore/OutOfCoreMemory.html" title="class in ch.javasoft.metabolic.efm.memory.outcore">OutOfCoreMemory&lt;Col extends Column&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>OutOfCoreMemory</code> stores columns out of the core memory.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/util/package-summary.html">ch.javasoft.metabolic.efm.util</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>,N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>ColumnUtil.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/util/ColumnUtil.html#moveToOrClose(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.model.NetworkEfmModel.Partition, ch.javasoft.metabolic.efm.memory.IterableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.model.IterationStepModel, boolean)">moveToOrClose</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.Partition.html" title="enum in ch.javasoft.metabolic.efm.model">NetworkEfmModel.Partition</A>&nbsp;partition,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;src,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;dst,
                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/IterationStepModel.html" title="interface in ch.javasoft.metabolic.efm.model">IterationStepModel</A>&nbsp;iteration,
                           boolean&nbsp;convert)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads all columns from the src memory and moves them to the dst memory,
 if the specified partition a not cut off.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>ColumnUtil.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/util/ColumnUtil.html#partition(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.memory.IterableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.model.IterationStepModel, boolean)">partition</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;src,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;pos,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;zer,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;neg,
                   <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/IterationStepModel.html" title="interface in ch.javasoft.metabolic.efm.model">IterationStepModel</A>&nbsp;iteration,
                   boolean&nbsp;convert)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Partitions the columns with respect to the criteria reflected by the 
 given efm model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B>ColumnUtil.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/util/ColumnUtil.html#partitionOrClose(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.model.NetworkEfmModel, ch.javasoft.metabolic.efm.model.NetworkEfmModel.Partition, ch.javasoft.metabolic.efm.memory.IterableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.memory.AppendableMemory, ch.javasoft.metabolic.efm.model.IterationStepModel, boolean)">partitionOrClose</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,Col&gt;&nbsp;columnHome,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.Partition.html" title="enum in ch.javasoft.metabolic.efm.model">NetworkEfmModel.Partition</A>&nbsp;partition,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">IterableMemory</A>&lt;Col&gt;&nbsp;src,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;pos,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;zer,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/AppendableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory">AppendableMemory</A>&lt;Col&gt;&nbsp;neg,
                                 <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/IterationStepModel.html" title="interface in ch.javasoft.metabolic.efm.model">IterationStepModel</A>&nbsp;iteration,
                                 boolean&nbsp;convert)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Partitions the columns with respect to the criteria reflected by the 
 given efm model, if the specified partition is not cut off.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/metabolic/efm/memory/IterableMemory.html" title="interface in ch.javasoft.metabolic.efm.memory"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/memory/class-use/IterableMemory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IterableMemory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
